GLCLEARINDEX(3G)

NAME
glClearIndex - specify the clear value for the color index buffers

C SPECIFICATION
void glClearIndex( GLfloat c )

PARAMETERS

c   Specifies the index used when the color index buffers are cleared. The initial value is 0.

DESCRIPTION
glClearIndex specifies the index used by glClear to clear the color index buffers. c is not clamped. Rather, c is converted to a fixed-point value with unspecified precision to the right of the binary point. The integer part of this value is then masked with 2^m, where m is the number of bits in a color index stored in the frame buffer.

ERRORS
GL_INVALID_OPERATION is generated if glClearIndex is executed between the execution of glBegin and the corresponding execution of glEnd.

ASSOCIATED GETS
glGet with argument GL_INDEX_CLEAR_VALUE
glGet with argument GL_INDEX_BITS

SEE ALSO
glClear